package pokus;

import java.lang.invoke.MethodHandles;
import java.lang.invoke.VarHandle;

class Pokus
{
    public int data = 7;
    private int soukromáData = 14;
    public String toString()
    {
        return "" + data + ", " + soukromáData;
    }
}

public class Program
{
    static VarHandle MADLO, SOUKROMÉMADLO;
    private static Pokus pokus = new Pokus();
    static {
        try
        {
            var hledač = MethodHandles.lookup();
            var soukromýHledač = MethodHandles.privateLookupIn(Pokus.class, hledač);
            MADLO = hledač
                    .findVarHandle(Pokus.class, "data", int.class);
            SOUKROMÉMADLO = soukromýHledač.findVarHandle(Pokus.class, "soukromáData", int.class);
        }
        catch (Exception e)
        {
            e.printStackTrace();
        }
    }

    public static void main(String[] s)
    {
        MADLO.set(pokus, 42);
        SOUKROMÉMADLO.set(pokus, 24);
        System.out.println(pokus);
    }

}