package vtip;

import java.util.concurrent.locks.Condition;
import java.util.concurrent.locks.Lock;
import java.util.concurrent.locks.ReentrantLock;


enum Osoba {Vypravěč, Tazatel}

public class Program 
{
    public static final Lock zámek = new ReentrantLock();
    private static final Condition hotovo = zámek.newCondition(); 
    private static final Condition píšeVypravěč = zámek.newCondition();
    private static final Condition píšeTazatel = zámek.newCondition();

    private static boolean můžePsátVypravěč = true;
    private static int početHotových = 0;
    private static final String[] textVypravěče = {"Tak jsme založili houslové kvarteto.", "Tři.", "Já a brácha.", "Ne, proč?"};
    private static final String[] textTazatele = {"A kolik vás je?", "A kdo?", "Ty máš bráchu?"};
    
    public static void dejMožnostDruhému()
    {
        můžePsátVypravěč = !můžePsátVypravěč;
    }

    public static boolean můžePsátVypravěč()
    {
        return můžePsátVypravěč;
    }


    public static void jsemHotov()
    {
        početHotových++;
        hotovo.signal();
    }

    public static boolean všeHotovo()
    {
        return početHotových == 2;
    }
       
    public static void main(String[] args) throws InterruptedException 
    {       
        Vypisovač vypravěč = new Vypisovač(textVypravěče, píšeVypravěč, píšeTazatel, Osoba.Vypravěč);
        Vypisovač tazatel = new Vypisovač(textTazatele, píšeTazatel, píšeVypravěč, Osoba.Tazatel);
        zámek.lock();
        píšeVypravěč.signal();
        while(!všeHotovo())hotovo.await();
        zámek.unlock();
        System.out.println("To je úroveň...");
    }
    
}
